package com.bocloud.cmp.model;

import java.util.List;
import java.util.Map;

/**
 * 云硬盘类型
 *
 * @author wangyu
 * @version 4.1.0-SNAPSHOT
 * @since 2019/10/17
 */
public class VolumeTypeModel {
	private String name;
	private String volumeTypeUuid;
	private String volumeType;
	private String regionId;
	private List<String> zones;
	private List<String> soldOutZones;
	private Map<String, String> extraSpecMap;
	private String extraSpecs;

	/**
	 *
	 */
	public VolumeTypeModel() {
	}

	/**
	 * @param name
	 * @param volumeTypeUuid
	 * @param extraSpecMap
	 * @param extraSpecs
	 */
	public VolumeTypeModel(String name, String volumeTypeUuid, Map<String, String> extraSpecMap, String extraSpecs) {
		this.name = name;
		this.volumeTypeUuid = volumeTypeUuid;
		this.extraSpecMap = extraSpecMap;
		this.extraSpecs = extraSpecs;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getVolumeTypeUuid() {
		return volumeTypeUuid;
	}

	public void setVolumeTypeUuid(String volumeTypeUuid) {
		this.volumeTypeUuid = volumeTypeUuid;
	}

	public Map<String, String> getExtraSpecMap() {
		return extraSpecMap;
	}

	public void setExtraSpecMap(Map<String, String> extraSpecMap) {
		this.extraSpecMap = extraSpecMap;
	}

	public String getExtraSpecs() {
		return extraSpecs;
	}

	public void setExtraSpecs(String extraSpecs) {
		this.extraSpecs = extraSpecs;
	}

	public String getVolumeType() {
		return volumeType;
	}

	public void setVolumeType(String volumeType) {
		this.volumeType = volumeType;
	}

	public String getRegionId() {
		return regionId;
	}

	public void setRegionId(String regionId) {
		this.regionId = regionId;
	}

	public List<String> getZones() {
		return zones;
	}

	public void setZones(List<String> zones) {
		this.zones = zones;
	}

	public List<String> getSoldOutZones() {
		return soldOutZones;
	}

	public void setSoldOutZones(List<String> soldOutZones) {
		this.soldOutZones = soldOutZones;
	}

}
